Endpoint
Authentication
Requires a validAuthorization: Bearer <jwt-or-api-key> header.
Response
array
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://ariapin.example.com:8001/v1/datasets \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"code": 0,
"data": {
"items": [
{
"id": "ds_123",
"name": "my-dataset",
"format": "jsonl",
"status": "ready",
"size_bytes": 10485760,
"rows": 50000,
"access_mode": "local",
"created_at": "2024-06-10T14:22:00Z"
}
]
},
"message": ""
}
GET /v1/datasets for the PIN API. Retrieve a list of all datasets in your account, including names, formats, statuses, and metadata.
curl -X GET https://ariapin.example.com:8001/v1/datasets \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"code": 0,
"data": {
"items": [
{
"id": "ds_123",
"name": "my-dataset",
"format": "jsonl",
"status": "ready",
"size_bytes": 10485760,
"rows": 50000,
"access_mode": "local",
"created_at": "2024-06-10T14:22:00Z"
}
]
},
"message": ""
}
GET /v1/datasets
Authorization: Bearer <jwt-or-api-key> header.
Show Dataset object
jsonl, csv, or parquet.ready, processing, or downloading.local or stream.curl -X GET https://ariapin.example.com:8001/v1/datasets \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
{
"code": 0,
"data": {
"items": [
{
"id": "ds_123",
"name": "my-dataset",
"format": "jsonl",
"status": "ready",
"size_bytes": 10485760,
"rows": 50000,
"access_mode": "local",
"created_at": "2024-06-10T14:22:00Z"
}
]
},
"message": ""
}
Was this page helpful?